Last Comment Bug 738982 - TB-IM: Style the Chat window system friendlier
: TB-IM: Style the Chat window system friendlier
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Windows XP
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 13:12 PDT by Richard Marti (:Paenglab)
Modified: 2012-04-04 02:31 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Screenshot of the actual state. (32.73 KB, image/png)
2012-03-24 13:12 PDT, Richard Marti (:Paenglab)
no flags Details
Patch (7.66 KB, patch)
2012-03-24 13:15 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Screenshot with patch applied under XP (31.34 KB, image/png)
2012-03-24 13:20 PDT, Richard Marti (:Paenglab)
no flags Details
Patch v2 (7.69 KB, patch)
2012-03-25 01:57 PDT, Richard Marti (:Paenglab)
bugs: ui‑review-
Details | Diff | Splinter Review
issue in action (25.00 KB, image/png)
2012-03-26 10:25 PDT, Andreas Nilsson (:andreasn)
no flags Details
Patch v3 (7.92 KB, patch)
2012-03-26 13:18 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
Details | Diff | Splinter Review
Patch for comm-aurora (8.09 KB, patch)
2012-04-02 13:24 PDT, Richard Marti (:Paenglab)
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2012-03-24 13:12:14 PDT
Created attachment 609033 [details]
Screenshot of the actual state.

The actual styles are Win7 centric also under Windows XP or Classic mode. The backgrounds have a fixed light blue background, the splitters are 1px wide. Also the list items have a Win7 style.
Comment 1 Richard Marti (:Paenglab) 2012-03-24 13:15:34 PDT
Created attachment 609034 [details] [diff] [review]
Patch

This patch uses system colors for WinXP and Classic mode of Win7. Also the splitters are like them of the Three pane window.
Comment 2 Richard Marti (:Paenglab) 2012-03-24 13:16:43 PDT
Oops, forgot to say this patch needs Bug 734736 applied first.
Comment 3 Richard Marti (:Paenglab) 2012-03-24 13:20:32 PDT
Created attachment 609036 [details]
Screenshot with patch applied under XP

Use the system colors except in Chat content (this should be a other bug because this isn't easy to do).
Comment 4 Jim Porter (:squib) 2012-03-24 18:28:47 PDT
(In reply to Richard Marti [:paenglab] from comment #3)
> Created attachment 609036 [details]
> Screenshot with patch applied under XP
> 
> Use the system colors except in Chat content (this should be a other bug
> because this isn't easy to do).

Look out for the overlap on the splitters near the bottom-right. That is, the part that looks like this: --|
Comment 5 Richard Marti (:Paenglab) 2012-03-25 01:57:44 PDT
Created attachment 609090 [details] [diff] [review]
Patch v2

Good catch, Jim. Better approach for the splitters.
Comment 6 Andreas Nilsson (:andreasn) 2012-03-26 07:48:45 PDT
Seems to have bitrotted
Comment 7 Florian Quèze [:florian] [:flo] 2012-03-26 08:29:17 PDT
I can't apply the patch either, but I don't think it can have bitrotted as http://hg.mozilla.org/comm-central/filelog/tip/mail/themes/qute/mail/chat.css only has the initial revision.

Richard may have had other patches applied before this one though.
Comment 8 Richard Marti (:Paenglab) 2012-03-26 08:39:27 PDT
Have you applied first Bug 734736 as noted in comment 2?
Comment 9 Andreas Nilsson (:andreasn) 2012-03-26 10:24:44 PDT
Comment on attachment 609090 [details] [diff] [review]
Patch v2

Looks good once a chat is started, but doesn't look quite right if you're looking at previous conversations. For some reason it drops half the sizer.
Comment 10 Andreas Nilsson (:andreasn) 2012-03-26 10:25:20 PDT
Created attachment 609370 [details]
issue in action
Comment 11 Richard Marti (:Paenglab) 2012-03-26 13:18:40 PDT
Created attachment 609452 [details] [diff] [review]
Patch v3

Fixed border problem.
Comment 12 Andreas Nilsson (:andreasn) 2012-03-27 03:49:08 PDT
Comment on attachment 609452 [details] [diff] [review]
Patch v3

Looks good and works well with both regular and High Contrast themes in XP (tested in compability mode).
Comment 13 Andreas Nilsson (:andreasn) 2012-03-27 04:36:31 PDT
Comment on attachment 609452 [details] [diff] [review]
Patch v3

And css looks good too.
Comment 14 Ryan VanderMeulen [:RyanVM] 2012-03-28 17:38:05 PDT
http://hg.mozilla.org/comm-central/rev/671d3b476a03
Comment 15 Richard Marti (:Paenglab) 2012-03-28 21:59:17 PDT
Comment on attachment 609452 [details] [diff] [review]
Patch v3

Should this go to Aurora to be consistent over all versions? If yes, I'm doing a special patch because a other related patch (Bug 734736) isn't for aurora.
Comment 16 Richard Marti (:Paenglab) 2012-04-02 13:24:14 PDT
Created attachment 611567 [details] [diff] [review]
Patch for comm-aurora

Patch adapted to comm-aurora
Comment 17 Mark Banner (:standard8) 2012-04-04 02:23:16 PDT
Comment on attachment 611567 [details] [diff] [review]
Patch for comm-aurora

[Triage Comment]
Switch flags to the patch that will land on aurora.
Comment 18 Mark Banner (:standard8) 2012-04-04 02:31:25 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/4665697c1864

Note You need to log in before you can comment on or make changes to this bug.